Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::PlaneDistance Class Reference

平面距離 More...

`#include <PlaneDistance.h>`

List of all members.

## Static Public Member Functions
float | distance (const Plane &plane, const Vector3 &point)
| 点距離
float | distance (const Plane &plane0, const Plane &plane1)
| 平面距離
float | distance (const Plane &plane, const Ray &ray)
| レイ距離
float | distance (const Plane &plane, const Segment &segment)
| セグメント距離
float | distance (const Plane &plane, const Sphere &sphere)
| 球距離
float | distance (const Plane &plane, const Triangle &triangle)
| 三角距離

## Detailed Description

平面距離

Definition at line 40 of file PlaneDistance.h.

## Member Function Documentation

float Lamp::PlaneDistance::distance | ( | const Plane & | plane,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角距離 Parameters:
  plane | 平面
  triangle | 三角
Returns: 距離 Definition at line 75 of file PlaneDistance.cpp. References Assert.

float Lamp::PlaneDistance::distance | ( | const Plane & | plane,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球距離 Parameters:
  plane | 平面
  sphere | 球
Returns: 距離 Definition at line 67 of file PlaneDistance.cpp. References Assert.

float Lamp::PlaneDistance::distance | ( | const Plane & | plane,
|  | const Segment & | segment
| ) | `[static]`

  | セグメント距離 Parameters:
  plane | 平面
  segment | セグメント
Returns: 距離 Definition at line 59 of file PlaneDistance.cpp. References Assert.

float Lamp::PlaneDistance::distance | ( | const Plane & | plane,
|  | const Ray & | ray
| ) | `[static]`

  | レイ距離 Parameters:
  plane | 平面
  ray | レイ
Returns: 距離 Definition at line 51 of file PlaneDistance.cpp. References Assert.

float Lamp::PlaneDistance::distance | ( | const Plane & | plane0,
|  | const Plane & | plane1
| ) | `[static]`

  | 平面距離 Parameters:
  plane0 | 平面
  plane1 | 平面
Returns: 距離 Definition at line 43 of file PlaneDistance.cpp. References Assert.

float Lamp::PlaneDistance::distance | ( | const Plane & | plane,
|  | const Vector3 & | point
| ) | `[static]`

  | 点距離 Parameters:
  plane | 平面
  point | 点
Returns: 距離 Definition at line 34 of file PlaneDistance.cpp. References Assert, Lamp::Plane::dotProduct(), and Lamp::Plane::isUnit().

The documentation for this class was generated from the following files:

- PlaneDistance.h
- PlaneDistance.cpp